Last Comment Bug 139942 - CSS errors in chrome
: CSS errors in chrome
Status: RESOLVED FIXED
[whitebox] [Check Boffo on MozillaTes...
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: P2 normal with 1 vote (vote)
: mozilla1.2alpha
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
: 158069 (view as bug list)
Depends on: 130728 229803 229804 229805 229806 229807 229809 229812 229813
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-24 21:49 PDT by David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
Modified: 2011-11-17 13:56 PST (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch fixing CSS errors in chrome (40.10 KB, patch)
2002-04-24 21:53 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
no flags Details | Diff | Review
similar patch against current trunk (60.27 KB, patch)
2002-07-04 22:24 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
no flags Details | Diff | Review
remaining errors (6.04 KB, text/plain)
2003-12-31 13:02 PST, Bob Clary [:bc:]
no flags Details

Description David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2002-04-24 21:49:07 PDT
This is a bug for the CSS errors in the chrome that have crept in since bug
71637 was fixed.  The patch I'm about to attach includes all the errors on the
1.0 branch except for those in messageBody.css, which is covered by bug .

I haven't tested this at all, and I don't think it should be checked in as-is. 
But I certainly think it's an interesting demonstration of how little some of
the CSS in the tree has been tested.
Comment 1 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2002-04-24 21:53:12 PDT
Created attachment 80900 [details] [diff] [review]
patch fixing CSS errors in chrome

This is a patch against the 1.0 branch.

The bug on messageBody.css is bug 130728.

I found this using the command-line tool I just wrote (see bug 139943).
Comment 2 Hixie (not reading bugmail) 2002-04-26 14:39:06 PDT
Arguably, the incorrect lines should be removed, not fixed...
Comment 3 John Morrison 2002-04-30 18:21:08 PDT
@@ -201,8 +201,8 @@
     font-family: arial, helvetica, sans-serif; 
     font-size: 12px;
   line-height: 1;
-    margin-top: 0;
-    margin-bottom: 4;
+    margin-top: 0px;
+    margin-bottom: 4px;
   }

"line-height: 1;" is a no-op, right? Remove it?
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2002-04-30 19:10:47 PDT
No, since 'line-height' is inherited.  And there's a .7 in the previous rule,
which I expect it's overriding.
Comment 5 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2002-04-30 19:11:48 PDT
There's also a bad 'background-color' declaration in pref-viewing_messages.xul
that I should fix.
Comment 6 John Morrison 2002-04-30 19:29:18 PDT
(Good point about the inheritance, which I hadn't considered. Although, looking 
at the usage, it seems like the 'inthissection' and 'inthissections' are used
independently. But it's obviously not your job to fix every bit of redundant
css in the tree :-).
Comment 7 Madhur Bhatia 2002-05-17 14:30:14 PDT
cc'ing myself
Comment 8 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2002-07-04 22:17:52 PDT
For reference, bug 65469 is the bug on CSS error reporting an bug 155855 is the
bug on turning on CSS error reporting in DEBUG builds only.  (I intend to do the
localization sometime before trying to turn it on for release builds.)
Comment 9 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2002-07-04 22:24:26 PDT
Created attachment 90270 [details] [diff] [review]
similar patch against current trunk
Comment 10 Jerry 2002-07-18 03:08:23 PDT
*** Bug 158069 has been marked as a duplicate of this bug. ***
Comment 11 Peter Van der Beken [:peterv] 2002-09-21 05:43:03 PDT
David: what do you want to do with this patch? Could we get simple stuff in at
least? Adding the correct @namespace rules for example would already fix some
errors and I think it's mostly clear that that was just an oversight.
Comment 12 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2002-09-21 06:02:10 PDT
Which ones?  Adding some of those rules might break other things.
Comment 13 Simon Fraser 2003-03-07 12:45:05 PST
People need to look at the CSSERR parts of the patch. Let's try and get this
resolved.
Comment 14 Bob Clary [:bc:] 2003-12-31 13:02:43 PST
Created attachment 138226 [details]
remaining errors

I filed bugs on the appropriate components and attached patches. Hopefully the
owners will be able to determine if the patches are appropriate. I did not
include anything for layout/html/tests and was not able to fix all errors. The
remaining errors are mainly due to # pre-processor statements or vendor
specific properties I am not familiar with.
Comment 15 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-11-17 13:56:30 PST
I think this has been fixed for a while; these don't creep in much anymore now that they show up on the console.

Note You need to log in before you can comment on or make changes to this bug.